#32/64
%define _appdatadir %{_datadir}/appdata

Summary:	Interactive MTP client with Qt GUI
Name:		android-file-transfer
Version:	3.2
Release:	%mkrel 1
License:	GPLv3+
Group:		File tools
Url:		https://github.com/whoozle/android-file-transfer-linux/
# From git by tag https://github.com/whoozle/android-file-transfer-linux/
Source0:	%{name}-linux-%{version}.tar.xz
BuildRequires:	appstream-util
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	%{_lib}readline-devel
BuildRequires:	%{_lib}fuse-devel
BuildRequires:	qtbase5-common-devel
BuildRequires:	%{_lib}qt5core-devel
BuildRequires:	%{_lib}qt5gui-devel
BuildRequires:	%{_lib}qt5widgets-devel
BuildRoot: 	%_tmppath/%name-%version-buildroot

%description
Interactive MTP client with Qt5 GUI.


%prep
%setup -qn %{name}-linux-%{version}

%build
%cmake_qt5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

# install menu entry
desktop-file-install qt/%{name}.desktop \
	--dir=%{buildroot}%{_datadir}/applications

# install menu icons
for N in 16 32 48 64 128 256;
do
convert qt/%{name}.png -scale ${N}x${N} $N.png;
install -D -m 0644 $N.png %{buildroot}%{_iconsdir}/hicolor/${N}x${N}/apps/%{name}.png
done

# appdata
mkdir -p %{buildroot}%{_appdatadir}
install -m 644 %{name}.appdata.xml %{buildroot}%{_appdatadir}/%{name}.appdata.xml
appstream-util validate-relax --nonet %{buildroot}%{_appdatadir}/*.xml

#menu for PCLinuxOS
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
  

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%doc LICENSE README.md
%{_bindir}/%{name}
%{_bindir}/aft-mtp-cli
%{_bindir}/aft-mtp-mount
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_appdatadir}/%{name}.appdata.xml


%changelog
* Thu Mar 2 2017 Agent Smith <ruidobranco@yahoo.com.br> 3.2-1pclos2017 
- Created package, with latest sources.
- removed old stuff
